Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class ExtendedPermissionAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.ExtendedPermissionAdmin

    public class ExtendedPermissionAdmin

extends java.lang.Object

The `ExtendedPermissionAdmin.java` class - colleciton of ExtendedPermission admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`ExtendedPermissionAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `createExtendedPermission(LibrarySession sess, ExtendedPermissionDefinition def)` internal variant of Create ExtendedPermission
`protected void` | `createExtendedPermission(LibrarySession sess, ParameterTable params)` Section variant of Create ExtendedPermission
`protected void` | `createExtendedPermission(LibrarySession sess, java.lang.String nameToken, java.lang.String descriptionToken)` inline variant of Create ExtendedPermission
`protected void` | `freeExtendedPermission(LibrarySession sess, ParameterTable params)` Section variant of Free ExtendedPermission
`protected void` | `freeExtendedPermission(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free ExtendedPermission
`protected ExtendedPermission` | `lookupExtendedPermission(LibrarySession sess, java.lang.String name)` Lookup ExtendedPermission by name
`protected void` | `modifyExtendedPermission(LibrarySession sess, ParameterTable params)` Section variant of Modify ExtendedPermission
`protected void` | `modifyExtendedPermission(LibrarySession sess, java.lang.String name, ExtendedPermissionDefinition def)` internal variant of Modify ExtendedPermission
`protected void` | `showExtendedPermission(LibrarySession sess, ExtendedPermission extperm)`
`protected void` | `showExtendedPermission(LibrarySession sess, ParameterTable params)` Section variant of showExtendedPermission
`protected void` | `showExtendedPermission(LibrarySession sess, java.lang.String name)` Inline/internal variant of showExtendedPermission

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### ExtendedPermissionAdmin

    public ExtendedPermissionAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createExtendedPermission

    protected void createExtendedPermission(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  Section variant of Create ExtendedPermission

  Throws:
    `IfsException`

### createExtendedPermission

    protected void createExtendedPermission(LibrarySession sess,
                                            java.lang.String nameToken,
                                            java.lang.String descriptionToken)
                                     throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  inline variant of Create ExtendedPermission

  Throws:
    `IfsException`

### createExtendedPermission

    protected void createExtendedPermission(LibrarySession sess,
                                            ExtendedPermissionDefinition def)
                                     throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  internal variant of Create ExtendedPermission

  Throws:
    `IfsException`

### modifyExtendedPermission

    protected void modifyExtendedPermission(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  Section variant of Modify ExtendedPermission

  Throws:
    `IfsException`

### modifyExtendedPermission

    protected void modifyExtendedPermission(LibrarySession sess,
                                            java.lang.String name,
                                            ExtendedPermissionDefinition def)
                                     throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  internal variant of Modify ExtendedPermission

  Throws:
    `IfsException`

### freeExtendedPermission

    protected void freeExtendedPermission(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  Section variant of Free ExtendedPermission

  Throws:
    `IfsException`

### freeExtendedPermission

    protected void freeExtendedPermission(LibrarySession sess,
                                          java.lang.String name)
                                   throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  Inline/internal variant of Free ExtendedPermission

  Throws:
    `IfsException`

### showExtendedPermission

    protected void showExtendedPermission(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  Section variant of showExtendedPermission

  Throws:
    `IfsException`

### showExtendedPermission

    protected void showExtendedPermission(LibrarySession sess,
                                          java.lang.String name)
                                   throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  Inline/internal variant of showExtendedPermission

  Throws:
    `IfsException`

### showExtendedPermission

    protected void showExtendedPermission(LibrarySession sess,
                                          ExtendedPermission extperm)
                                   throws IfsException

  Throws:
    `IfsException`

### lookupExtendedPermission

    protected ExtendedPermission lookupExtendedPermission(LibrarySession sess,
                                                          java.lang.String name)
                                                   throws IfsException

  Description copied from class: `ExtendedPermissionAdmin`
  Lookup ExtendedPermission by name

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD